POST api/NTSummary/DeleteIncidentACMRequest
Request Information
URI Parameters
None.
Body Parameters
IncidentACMDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| RequestReasonId | integer |
None. |
|
| RequestNote | string |
String length: inclusive between 0 and 2000 |
|
| DeclineReasonId | integer |
None. |
|
| DeclineNote | string |
String length: inclusive between 0 and 500 |
|
| ResponseStatus | integer |
None. |
|
| ResponseById | integer |
None. |
|
| ResponseTime | date |
None. |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 500 |
|
| RequestReasonName | string |
String length: inclusive between 0 and 500 |
|
| RequestedUser | string |
String length: inclusive between 0 and 100 |
|
| IsAnyPending | boolean |
None. |
|
| CaseStatus | integer |
None. |
|
| ResponseUser | string |
String length: inclusive between 0 and 100 |
|
| EncounterId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"RequestReasonId": 1,
"RequestNote": "sample string 3",
"DeclineReasonId": 1,
"DeclineNote": "sample string 4",
"ResponseStatus": 1,
"ResponseById": 1,
"ResponseTime": "2026-06-20T09:09:28.7345911-07:00",
"ReasonForDelete": "sample string 5",
"RequestReasonName": "sample string 6",
"RequestedUser": "sample string 7",
"IsAnyPending": true,
"CaseStatus": 1,
"ResponseUser": "sample string 8",
"EncounterId": 9,
"ValidFlag": true,
"DateCreated": "2026-06-20T09:09:28.7345911-07:00",
"DateUpdated": "2026-06-20T09:09:28.7345911-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfIncidentACMDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | IncidentACMDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"RequestReasonId": 1,
"RequestNote": "sample string 3",
"DeclineReasonId": 1,
"DeclineNote": "sample string 4",
"ResponseStatus": 1,
"ResponseById": 1,
"ResponseTime": "2026-06-20T09:09:28.7456658-07:00",
"ReasonForDelete": "sample string 5",
"RequestReasonName": "sample string 6",
"RequestedUser": "sample string 7",
"IsAnyPending": true,
"CaseStatus": 1,
"ResponseUser": "sample string 8",
"EncounterId": 9,
"ValidFlag": true,
"DateCreated": "2026-06-20T09:09:28.7456658-07:00",
"DateUpdated": "2026-06-20T09:09:28.7456658-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
},
"totalCount": 3
}